repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
    -   id: check-toml
    -   id: trailing-whitespace
    -   id: end-of-file-fixer
    -   id: check-yaml
        args: ["--unsafe"]
    -   id: check-json
    -   id: check-xml
    -   id: name-tests-test
-   repo: https://github.com/psf/black
    rev: 23.7.0
    hooks:
    -   id: black
-   repo: https://gitlab.com/alric_sans/gitlab-changelog-generation-pre-commit
    rev: 0.0.1
    hooks:
    -   id: generate-gitlab-changelog
        args: ["--url", "https://gitlab.com/api/v4/projects/48334645/repository/changelog"]
